import { ElementRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class QMSInputChipDirective implements OnInit, OnChanges {
    private ele;
    selected: boolean;
    constructor(ele: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSInputChipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSInputChipDirective, "mat-chip[qms-chip]", never, { "selected": { "alias": "selected"; "required": false; }; }, {}, never, never, false, never>;
}
